%define name faac
%define version 1.28
%define rel 3
%define release %mkrel %rel
%define distsuffix plf

%define major 0

%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Freeware Advanced Audio Encoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/faac/%{name}-%{version}.tar.bz2
Patch0: faac-1.28-external-libmp4v2.patch
Patch1: faac-1.26-format.string.patch
URL:	 http://www.audiocoding.com
License: LGPLv2+
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libsndfile-devel
BuildRequires: autoconf2.5
BuildRequires: dos2unix
#gw else the detection for libmp4v2 kicks in
BuildConflicts: %libname-devel < %epoch:%version-%release
BuildConflicts: %develname < %epoch:%version-%release
BuildRequires: libmp4v2-devel >= 2.0
Epoch: 1

%description
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package is in PLF, as the MPEG-4 format is covered by software patents.
%package -n %libname
Summary: Free Advanced Audio Encoder shared library
Group: System/Libraries

%description -n %libname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the shared library needed by programs based on
libfaac.

This package is in PLF, as the MPEG-4 format is covered by software patents.
%package -n %develname
Summary: Free Advanced Audio Encoder development files
Group: Development/C++
Requires: %libname = %epoch:%version
Provides: lib%name-devel = %epoch:%version-%release 
Obsoletes: %mklibname -d %name 0

%description -n %develname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the needed files for compiling programs with
libfaac.

This package is in PLF, as the MPEG-4 format is covered by software patents.
%prep
%setup -q
%patch0 -p1 -b .mp4v2
%patch1 -p1
#dos2unix configure.in
aclocal
autoheader
libtoolize --automake
automake --add-missing --copy
WANT_AUTOCONF_2_5=1 autoconf

%build
%configure2_5x --with-mp4v2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# manual header installation
mkdir -p %buildroot/%_includedir
cp include/*h %buildroot/%_includedir


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdvver < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc README TODO ChangeLog
%_bindir/faac
%_mandir/man1/faac.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaac*so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*a
%_includedir/*

%changelog
* Mon Jul 13 2009 Gtz Waschk <goetz@zarb.org> 1.28-3plf2010.0
- patch for new libmp4v2

* Sat Mar 07 2009 Anssi Hannula <anssi@zarb.org> 1.28-2plf2009.1
- only try to link faac binary against libmp4v2 (removes invalid
  references to libmp4v2 in libfaac.la)

* Wed Feb 11 2009 Gtz Waschk <goetz@zarb.org> 1.28-1plf2009.1
- update file list
- new version

* Mon Jan 12 2009 Gtz Waschk <goetz@zarb.org> 1.26-5plf2009.1
- fix format strings
- update license
- fix for new libmp4v2

* Tue Apr 15 2008 Gtz Waschk <goetz@zarb.org> 1.26-4plf2009.0
- rebuild

* Tue Apr 15 2008 Gtz Waschk <goetz@zarb.org> 1.26-3plf2009.0
- fix buildrequires

* Sun Dec 30 2007 Anssi Hannula <anssi@zarb.org> 1.26-2plf2008.1
- really build with external libmp4v2 (libmp4v2.patch from DAG)

* Thu Oct 11 2007 Gtz Waschk <goetz@zarb.org> 1.26-1plf2008.1
- new devel name
- new version

* Sun Aug 13 2006 Gtz Waschk <goetz@zarb.org> 1.25-1plf2007.0
- new version

* Mon Sep  5 2005 Gtz Waschk <goetz@zarb.org> 1.24.1-0.20050901.2plf
- build with external mp4v2

* Thu Sep  1 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20050901.1plf
- new snapshot

* Thu Jun 16 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20041018.4plf
- fix automake calls

* Thu Jun 16 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20041018.3plf
- reenable mp4v2
- fix header installation

* Wed Jun 15 2005 Gtz Waschk <goetz@zarb.org> 1:1.24.1-0.20041018.2plf
- obsolete libmp4v2 package (bug #37)

* Sat Apr 23 2005 Gtz Waschk <goetz@zarb.org> 1.24.1-0.20041018.1plf
- add mp4v2
- new version

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.24-5plf
- fix URL

* Tue Jun  8 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-4plf
- rebuild against fixed libmp4

* Mon Jun  7 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-3plf
- fix buildrequires
- new g++

* Fri Apr 23 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-2plf
- drop prefix
- fix devel deps

* Thu Apr 22 2004 Gtz Waschk <goetz@plf.zarb.org> 1.24-1plf
- fix buildrequires
- update descriptions
- new version

* Mon Feb  9 2004 Gtz Waschk <goetz@plf.zarb.org> 1.23.5-1plf
- mdkversion macro
- new version

* Thu Nov 13 2003 Gtz Waschk <goetz@plf.zarb.org> 1.23.1-1plf
- fix buildrequires
- new version

* Wed Aug 27 2003 Gtz Waschk <goetz@plf.zarb.org> 1.20.1-1plf
- new version

* Fri Jul 11 2003 Gtz Waschk <goetz@plf.zarb.org> 1.17b-0.20030605.1plf
- mklibname macro
- fix buildrequries
- add an epoch tag
- drop the patch
- new version

* Fri Mar  7 2003 Gtz Waschk <goetz@plf.zarb.org> 20011026-4plf
- port to libsndfile1

* Mon Nov  4 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20011026-3plf
- buildrequire older automake
- explicitely buildrequire libsndfile0-devel

* Fri Aug 16 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20011026-2plf
- gcc 3.2 rebuild

* Wed Jul 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20011026-1plf
- initial package
